Developers
V1MeFamilySubjectidPassportExport

/v1/me/family/{subjectId}/passport/export

GET
/v1/me/family/{subjectId}/passport/export
AuthorizationBearer <token>

In: header

Path Parameters

subjectId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Query Parameters

limit?integer
Range1 <= value <= 1000
Default1000
cursor?string
Match^[A-Za-z0-9_-]+$
Length1 <= length <= 512
category?string

Value in

  • "all"
  • "food"
  • "bp"
  • "glucose"
  • "other"
visibility?string

Value in

  • "visible"
  • "hidden"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/me/family/497f6eca-6276-4993-bfeb-53cbbbba6f08/passport/export"
{  "format": "medbuk.health-passport",  "schemaVersion": "1.0.0",  "codes": [    "8480-6"  ],  "exportedAt": "2019-08-24T14:15:22Z",  "observations": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "entryId": "09a8b554-45ca-4bab-a638-265db4b3e828",      "code": "8480-6",      "valueNum": 0,      "valueText": "string",      "unit": "string",      "effectiveAt": "2019-08-24T14:15:22Z",      "recordedAt": "2019-08-24T14:15:22Z",      "source": "healthkit",      "confidence": 0,      "supersedesId": "688cf67a-2e6c-4e49-8750-5bc8809fcd6f"    }  ],  "nextCursor": "string"}